<?php
/***************************************************************************
 *                                  admin_ip_cf_today_userlist.php
 *                            -------------------
 *   begin                : 10-ott-2005
 *   copyright            : (C) 2005 3Di (aka 3D)
 *   email                : 3d AT phpbb2italia DOT za DOT net
 *   credits..............: thanks reddog for Today Userlist 101
 *   $Id: admin_ip_cf_today_userlist.php, 1.0.0, 03-nov-2005 14.00.00, 3Di Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

//
// First step
//
if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['IP_Country_Flag']['Today_Userlist'] = $filename;

	return;
}

//
// Load default header
//
$no_page_header = TRUE;
$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

include('./page_header_admin.'.$phpEx);
include($phpbb_root_path . 'includes/functions_selects.'.$phpEx);
//
// IP CF code begins
//

//
// including language file
//
// lang file inclusion
if( @file_exists($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_ip_cf.' . $phpEx) )
{ 
	include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_ip_cf.' . $phpEx); 
} 
else 
{ 
	include($phpbb_root_path . 'language/lang_english/lang_main.' . $phpEx); 
}
// end lang file inclusion


//
// Pull all config data
//
$sql = "SELECT *
	FROM " . CONFIG_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(CRITICAL_ERROR, "Could not query config information in admin_ip_cf_today_userlist", "", __LINE__, __FILE__, $sql);
}
else
{
	while( $row = $db->sql_fetchrow($result) )
	{
		$config_name = $row['config_name'];
		$config_value = $row['config_value'];
		$default_config[$config_name] = isset($HTTP_POST_VARS['submit']) ? str_replace("'", "\'", $config_value) : $config_value;
		
		$new[$config_name] = ( isset($HTTP_POST_VARS[$config_name]) ) ? stripslashes($HTTP_POST_VARS[$config_name]) : $default_config[$config_name];

		if ($config_name == 'cookie_name')
		{
			$cookie_name = str_replace('.', '_', $new['cookie_name']);
		}

		if( isset($HTTP_POST_VARS['submit']) )
		{
			$sql = "UPDATE " . CONFIG_TABLE . " SET
				config_value = '" . addslashes($new[$config_name]) . "'
				WHERE config_name = '$config_name'";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, "Failed to update general configuration for $config_name", "", __LINE__, __FILE__, $sql);
			}
		}
	}

	if( isset($HTTP_POST_VARS['submit']) )
	{
		$message = $lang['IP_CF_Config_updated'] . "<br /><br />" . sprintf($lang['IP_CF_Click_return_admin_ip_cf_today_userlist_config'], "<a href=\"" . append_sid("admin_ip_cf_today_userlist.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['IP_CF_Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");

		message_die(GENERAL_MESSAGE, $message);
	}
}


		$pagtit2 = $lang['IP_Country_Flag'];
		$pagsubtit2 = $lang['Today_Userlist'];
		$pagesubsubtit2 = $lang['IP_CF_Today_Userlist_Page_Title'];
		$pageexp2 = $lang['IP_CF_Today_Userlist_Explain_Pag'];
		$pagesubexp2 = $lang['IP_CF_Today_Userlist_Title_Pag'];


//-- mod : today userlist ------------------------------------------------------
//-- add
$today_day_selected_yes = ( $new['today_day_selected'] ) ? "checked=\"checked\"" : "";
$today_day_selected_no = ( !$new['today_day_selected'] ) ? "checked=\"checked\"" : "";
//-- fin mod : today userlist --------------------------------------------------

//
// IP CF code ends
//

//
// Output redirection
//
$template->set_filenames(array(
	'body' => 'admin/admin_ip_cf_today_userlist.tpl'
	)
);

//
// assigning vars to template
//
$template -> assign_vars(array(		
	"S_CONFIG_ACTION" => append_sid("admin_ip_cf_today_userlist.$phpEx"),
	"L_SUBMIT" => $lang['Submit'], 
	"L_RESET" => $lang['Reset'], 

		'IP_CF_TODAY_USERLIST_PAGE_TITLE' => $pagesubsubtit2,
		'IP_CF_TODAY_USERLIST_EXPLAIN_PAG' => $pageexp2,
		'IP_CF_TODAY_USERLIST_TITLE_PAG' => $pagesubexp2,
//-- mod : today userlist ------------------------------------------------------
//-- add
	"L_TODAY_SELECT_METHOD" => $lang['Today_select_method'],
	"L_TODAY_DAY_SELECT" => $lang['Today_day_select'],
	"L_TODAY_HOURS_SELECT" => $lang['Today_hours_select'],
	"TODAY_DAY_SELECTED_YES" => $today_day_selected_yes,
	"TODAY_DAY_SELECTED_NO" => $today_day_selected_no
	));
//-- fin mod : today userlist --------------------------------------------------

$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>