<?php
/***************************************************************************
 *                                  admin_ip_cf_avatars.php
 *                            -------------------
 *   begin                : 12-ott-2005
 *   copyright            : (C) 2005 3Di (aka 3D)
 *   email                : 3d AT phpbb2italia DOT za DOT net
 *
 *   $Id: admin_ip_cf_avatars.php, 2.0.0, 03-nov-2005 14.00.00, 3Di Exp $
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['IP_Country_Flag']['Avatars_Eraser'] = $filename;

	return;
}

//
// Load default header
// Check if the user has cancled a confirmation message.
//

$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');

$confirm = ( isset($HTTP_POST_VARS['confirm']) ) ? TRUE : FALSE;
$cancel = ( isset($HTTP_POST_VARS['cancel']) ) ? TRUE : FALSE;

$no_page_header = (!empty($HTTP_POST_VARS['cancel']) || $cancel) ? TRUE : FALSE;

require('./pagestart.' . $phpEx);

$confirm = ( isset($HTTP_POST_VARS['confirm']) ) ? TRUE : FALSE;
$cancel = ( isset($HTTP_POST_VARS['cancel']) ) ? TRUE : FALSE;

// lang file inclusion
if( @file_exists($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_ip_cf.' . $phpEx) )
{ 
	include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_extend_ip_cf.' . $phpEx); 
} 
else 
{ 
	include($phpbb_root_path . 'language/lang_english/lang_main.' . $phpEx); 
}
// end lang file inclusion

if ($cancel)
{
	redirect('admin/' . append_sid("index.$phpEx?pane=right", true));
}

// output to template

			$template->set_filenames(array(
				"confirm" => "admin/admin_ip_cf_avatars.tpl")
			);

			$template->assign_vars(array(
				"MESSAGE_TITLE" => $lang['IP_CF_Confirm'],
				"MESSAGE_TEXT" => $lang['IP_CF_Confirm_delete_avatars'],

				"L_YES" => $lang['Yes'],
				"L_NO" => $lang['No'],

				"S_CONFIRM_ACTION" => append_sid("admin_ip_cf_avatars.$phpEx?")
				)
			);

// Core code

if ($confirm)
{
	$sql = "UPDATE " . USERS_TABLE . " SET user_avatar = 0, user_avatar_type = 0";
		if( !$result = $db->sql_query ($sql) )
			{
			message_die(GENERAL_ERROR, "Could not update USERS AVATARS table!", "", __LINE__, __FILE__, $sql);
			}
		$message = $lang['Avatars_Erased'] . "<br /><br />" . sprintf($lang['Click_return_admin_configuration'], "<a href=\"" . append_sid("admin_board.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");
	message_die(GENERAL_MESSAGE, $message);
}

// parser

$template->pparse("confirm");

include('./page_footer_admin.'.$phpEx);

?>